summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/autostart.sh (renamed from skel/.config/autostart/autostart.sh.new)6
-rw-r--r--etc/xdg/autostart/autostart.desktop5
l---------[-rw-r--r--]skel/.config/autostart/autostart.desktop6
-rwxr-xr-xskel/.config/autostart/autostart.sh56
4 files changed, 11 insertions, 62 deletions
diff --git a/skel/.config/autostart/autostart.sh.new b/bin/autostart.sh
index cb98c05..db0b790 100755
--- a/skel/.config/autostart/autostart.sh.new
+++ b/bin/autostart.sh
@@ -10,6 +10,8 @@ readonly BUTTONS="OK:1,Don't show this again:0"
DisplayNotice()
{
+ which gxmessage > /dev/null || return
+
gxmessage -title "$TITLE" \
-file $notice \
-buttons "$BUTTONS" \
@@ -22,6 +24,8 @@ Cleanup()
{
return # TODO:
+ which gxmessage > /dev/null || return
+
current_news="news-$(pacman -Si parabola-laf | awk '$1=="Version"{print $3}').txt"
declare -a read_notices=( $(grep -v $current_news $NEWS_STAMP) )
(( ${#read_notices[*]} > 10 )) || return
@@ -51,7 +55,7 @@ do [ -f $notice ] && notice_exists=1 || notice_exists=0
done
# WM-specific startup tasks
-case "$WM_NAME" in
+case $WM_NAME in
'"Openbox"') which octopi-notifier && sleep 10 && octopi-notifier & ;;
'"MATE"' ) ;;
esac
diff --git a/etc/xdg/autostart/autostart.desktop b/etc/xdg/autostart/autostart.desktop
new file mode 100644
index 0000000..abb6d1a
--- /dev/null
+++ b/etc/xdg/autostart/autostart.desktop
@@ -0,0 +1,5 @@
+[Desktop Entry]
+Type=Application
+Name=Parabola Autostart Script
+Exec=/usr/bin/autostart.sh
+Terminal=false
diff --git a/skel/.config/autostart/autostart.desktop b/skel/.config/autostart/autostart.desktop
index 8d02256..2e58940 100644..120000
--- a/skel/.config/autostart/autostart.desktop
+++ b/skel/.config/autostart/autostart.desktop
@@ -1,5 +1 @@
-[Desktop Entry]
-Type=Application
-Name=Parabola Autostart Script
-Exec=.config/autostart/autostart.sh
-Terminal=false
+/etc/xdg/autostart/autostart.desktop \ No newline at end of file
diff --git a/skel/.config/autostart/autostart.sh b/skel/.config/autostart/autostart.sh
deleted file mode 100755
index 91be332..0000000
--- a/skel/.config/autostart/autostart.sh
+++ /dev/null
@@ -1,56 +0,0 @@
-#!/bin/bash
-
-readonly NEWS_DIR=/usr/share/parabola-laf/news
-readonly NEWS_STAMP=~/.local/share/parabola-laf/last_news
-readonly CLEANUP_MSG="These old news files are no longer needed. It is safe to delete them."
-readonly ROOT_WIN_ID=$(xprop -notype -root | awk '$1=="_NET_SUPPORTING_WM_CHECK:"{print $5}')
-readonly WM_NAME=$( xprop -notype -id $ROOT_WIN_ID | awk '$1=="_NET_WM_NAME"{print $3}')
-
-
-DisplayNotice()
-{
- gxmessage -title "_EDITION_TITLE_" \
- -file $notice \
- -buttons "OK:1,Don't show this again:0" \
- -default "OK" \
- -geometry 620x460 \
- -center -wrap -ontop -sticky
-}
-
-Cleanup()
-{
- return # TODO:
-
- current_news="news-$(pacman -Si parabola-laf | awk '$1=="Version"{print $3}').txt"
- declare -a read_notices=( $(grep -v $current_news $NEWS_STAMP) )
- (( ${#read_notices[*]} > 10 )) || return
-
- gxmessage -title "Delete read news items ?" \
- -buttons "Keep them:1,Delete them:0" \
- -default "Keep them" \
- -geometry 620x460 \
- -center -wrap -ontop -sticky \
- "$CLEANUP_MSG$(printf "\n\t%s" "${read_notices[*]}")" && \
- echo $current_news > $NEWS_STAMP && \
- chroot $NEWS_DIR "pkexec rm ${read_notices[*]}"
-}
-
-
-# display unread news items
-mkdir -p $(dirname $NEWS_STAMP) ; touch $NEWS_STAMP ;
-cd $NEWS_DIR
-for notice in news-* # e.g. news-${pkgver}-${pkgrel}
-do [ -f $notice ] && notice_exists=1 || notice_exists=0
- [ -z "$(grep $notice $NEWS_STAMP)" ] && is_unread=1 || is_unread=0
- [ -z "$(echo $(cat $notice))" ] && is_blank=1 || is_blank=0
-
- (( $notice_exists && $is_unread )) || continue
-
- ( (( $is_blank )) || DisplayNotice ) && echo "$notice" >> $NEWS_STAMP && Cleanup &
-done
-
-# WM-specific startup tasks
-case "$WM_NAME" in
- '"LXDE"') which octopi-notifier && sleep 10 && octopi-notifier & ;;
- '"MATE"') ;;
-esac